import mongoose, { InferSchemaType, Schema } from "mongoose";

export const eventSchema = new Schema({
  name: String,
  type: Number,
  description: String,
  latitude: Number,
  longitude: Number,
  date: Date,
  creator: String,
});

export type Event = InferSchemaType<typeof eventSchema>;

export const Event = mongoose.model<Event>("Event", eventSchema);
