function decimalToCharEncoder(decimalNumber) {
  const characters =
    "0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ";
  const base = characters.length;

  if (decimalNumber === 0) {
    return characters[0];
  }

  let result = "";
  while (decimalNumber > 0) {
    const remainder = decimalNumber % base;
    result = characters[remainder] + result;
    decimalNumber = Math.floor(decimalNumber / base);
  }

  return result;
}

const decimalNumber = 10002;
const encodedString = decimalToCharEncoder(decimalNumber);
console.log(`Decimal: ${decimalNumber}, Encoded: ${encodedString}`);
